<?php

namespace Myriad\NotifyClient\Client\Helpers;

use Exception;
use Myriad\NotifyClient\Builders\FilterBuilder;

class FilterHelper
{

    /**
     * @param $object
     * @return array|null
     * @throws Exception
     */
    public function makeArray($object): ?array
    {
        if ($object instanceof FilterBuilder) {
            return $object->build();
        }
        if (is_array($object)) {
            return $object;
        }
        throw new Exception('Object must be a FilterBuilder or array');
    }
}
