<?php

namespace Myriad\NotifyClient;

use Exception;

/**
 * This interface should be implemented by the HTTP client passed to Client.
 */
interface HttpInterface
{

    /**
     *
     * @param  string  $httpVerb  - GET, PUT, POST, or DELETE
     * @param  string  $url
     * @param  array  $headers
     * @param  array  $json
     * @return mixed
     * @throws Exception
     */
    public function request($httpVerb, $url, $headers, $json);
}
