<?php

namespace Myriad\NotifyClient\Utilities;

trait HydratesModels
{

    abstract protected function getItemClass();

    /**
     * @param $data
     * @return mixed
     */
    public function hydrateItem($data)
    {
        $class = $this->getItemClass();
        $item = new $class();
        $item->hydrate($data);
        return $item;
    }

    /**
     * @param $data
     * @return array
     */
    public function hydrateCollection($data): array
    {
        return array_map([$this, 'hydrateItem'], $data);
    }
}
